> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Shift



## OpenAPI

````yaml POST /schedule/v1/shifts
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/shifts:
    post:
      tags:
        - Shifts
      summary: Create Shift
      operationId: CreateShift
      requestBody:
        description: Create a Shift
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                abbreviation:
                  type: string
                color:
                  type: string
                shiftRanges:
                  type: array
                  items:
                    type: object
                    properties:
                      startTime:
                        type: string
                        example: '08:00'
                      endTime:
                        type: string
                        example: '14:00'
                      order:
                        type: integer
                    required:
                      - startTime
                      - endTime
                isOnCall:
                  type: boolean
                isFullDay:
                  type: boolean
                onCallType:
                  type: string
                  nullable: true
                countPlannedTime:
                  type: boolean
              required:
                - name
                - abbreviation
                - color
                - shiftRanges
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    example: ''
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````